{% extends 'base.html.twig' %}

{% block title %}Hello ArticleController!{% endblock %}

{% block body %}
<style>
    .example-wrapper { margin: 1em auto; max-width: 800px; width: 95%; font: 18px/1.5 sans-serif; }
    .example-wrapper code { background: #F5F5F5; padding: 2px 6px; }
    a { text-decoration: none; color: black; }
</style>

<div class="example-wrapper">
    <h1>Hello {{ controller_name }}! ✅</h1>

    This friendly message is coming from:
    <ul>
        <li>Your controller at <code><a href="{{ '/app/src/Controller/ArticleController.php'|file_link(0) }}">src/Controller/ArticleController.php</a></code></li>
        <li>Your template at <code><a href="{{ '/app/templates/article/index.html.twig'|file_link(0) }}">templates/article/index.html.twig</a></code></li>
    </ul>


    <h1>Articles</h1>
    <ul>
        {% for article in articles %}
        <li>{{ article.id }} --
        {{ article.nom }}<br>
        {{ article.title }}
        {{ article.content }}<br>
        {{ article.createdAt|date }}<br><br></li>
        {% endfor %}
    </ul>    

</div>
{% endblock %}
